//#include "errdefs.h"



#ifndef ERROR_H
#define ERROR_H


#include <setjmp.h>

#define ERRREC  64

struct ErrorStruct
{
  char errstr[ERRREC];
  jmp_buf estack;
};

typedef struct ErrorStruct ErrorStruct;

extern char Eauth[];
extern char Ebadarg[];
extern char Ebadspec[];
extern char Ebadsys[];
extern char Ebogus[];
extern char Efid[];
extern char Efidexist[];
extern char Efilename[];
extern char Egreg[];
extern char Elongmsg[];
extern char Emessage[];
extern char Emsgformat[];
extern char Enomem[];
extern char Enonexist[];
extern char Enotdir[];
extern char Eperm[];
extern char Eshort[];
extern char Eshortmsg[];
extern char Esnderr[];

void error(ErrorStruct *errstruct, char *err);

#endif
