
//#include "errdefs.h"
#include <string.h>
#include "error.h"

char Ebadarg[]   = "bad arg in system call";
char Ebadspec[]  = "bad attach specifier";
char Efilename[] = "file name syntax";
char Egreg[]     = "unexpected return point";
char Enonexist[] = "filessss does not exist";
char Enotdir[]   = "not a directory";
char Enomem[]    = "out of memory: kernel";
char Eperm[]     = "permission denied";
char Eshort[]    = "buffer too small";
char Efidexist[] = "fid exists";
char Efid[]      = "fid doesn't exist";
char Emessage[]  = "unreadable message";
char Ebogus[]    = "bogus message";
char Eshortmsg[] = "message too short";
char Elongmsg[]  = "message too long";
char Emsgformat[] = "couldn't format message";
char Esnderr[]   = "couldn't send message";
char Eauth[]     = "authentication not required";
char Ebadsys[]   = "file system doesn't exist";





void error(ErrorStruct *errstruct, char *err) 
{
  strncpy(errstruct->errstr, err, ERRREC);
  longjmp(errstruct->estack, 0);
}