#ifndef FNS_H
#define FNS_H

#include <stdlib.h>
#include <stdarg.h>
#include <time.h>

int devno(int);
void devclose(iFid *, ErrorStruct *);
void devwalk(iFid *, char *, const Dirtab *, int, ErrorStruct *);
void dirread(iFid *c, Dir *d, const Dirtab *tab, ushort tlen, ushort *len,int offset, ErrorStruct *);
void devopen(iFid **c, const Dirtab *tab, int omode, int defperm, int tabsize, ErrorStruct *);
void devclone(iFid **, iFid *, ErrorStruct *);
void devinit(void);
void devcreate(iFid*, char*, int, ulong, ErrorStruct *);
void devremove(iFid*, ErrorStruct *);
void devwstat(iFid*, Dir*, ErrorStruct *);
void devstat(iFid *, Dir *, const Dirtab *, ErrorStruct *);


void ifidclone(iFid **, iFid *, ErrorStruct *);
void ifidclose(iFid *, ErrorStruct *);
iFid* newifid();
int walk(iFid **fp, Fcall *rx, Fcall *tx, Channel *cpipe, Channel *cfidpipe, ErrorStruct *es);
void fidopen(iFid **, int, ErrorStruct *);
iFid* newifid(int fidno, ErrorStruct *es);
iFid* lookupfid(int fid);
void freeifid(iFid *f);

int devno(int c);
void panic(char *fmt, ...);
int seconds();

void initFids();  /* initialize data structure for maintaining fids */


/* void panic(char *fmt, ...) */
/* { */
/*   va_list arg; */
/*   char buf[512]; */
/*   exit(0); */
/* } */

/* int seconds() */
/* { */
/*   return time(0); */
/* } */


#endif
